export default class BaseTrainingJob extends events.EventEmitter {
    constructor(options: any);
    _options: any;
    id: any;
    _datadir: string;
    _workdir: string;
    _outputdir: string | null;
    _debug: any;
    _progress: number;
    child: any;
    metrics: {};
    get datadir(): string;
    get workdir(): string;
    get outputdir(): string | null;
    get debug(): any;
    train(): Promise<void>;
    evaluate(useTestSet: any): Promise<void>;
    set progress(arg: number);
    get progress(): number;
    kill(): void;
    _killed: boolean | undefined;
}
import * as events from "events";
